* {
    box-sizing: border-box;
}

.paint {
    width:1000px;
}

.paint-bar {
    padding:20px;
    border:1px solid #ccc;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 1px 4px rgba(0,0,0,0.2);
    z-index: 3;
    position: relative;
    font-family: sans-serif;
}

/* range input */
.paint-bar .paint-size {
    cursor:pointer;
}

/* informacja o wartości range. Domyślnie range czegoś takiego nie ma */
.paint-bar .paint-size-val {
    min-width:2.3rem;
    border-radius: 3px;
    padding:0 10px;
    color:#333;
    background: #333;
    padding:5px;
    margin-right:30px;
    margin-left:10px;
    color:#fff;
    display: inline-block;
    text-align: center;
    position: relative;
}
.paint-bar .paint-size-val:before {
    content:'';
    position: absolute;
    left:-10px;
    top:50%;
    transform: translate(0, -50%);
    width:0;
    height:0;
    border:5px solid transparent;
    border-right-color:#333;
}

/* przycisk wyboru koloru */
.paint-bar .paint-color {
    height:60px;
    width:60px;
    border:1px solid #aaa;
    border-radius: 3px;
}
.paint-bar .paint-color::-webkit-color-swatch-wrapper {
    padding: 3px;
    border:0;
}
.paint-bar .paint-color::-webkit-color-swatch {
    border: none;
    border-radius: 3px;
}

/* przyciski z akcjami - draw, line, rectangle */
.paint-bar .paint-buttons-cnt {
    margin-left:auto;
}
.paint-bar .button-mode {
    cursor:pointer;
    height:60px;
    background: transparent;
    margin:0 5px;
    border:0;
    background: url(icons2.png) no-repeat;
    border:1px solid #ccc;
    color:#aaa;
    border-radius: 3px;
    text-indent:-9999px;
    overflow: hidden;
    width:62px;
    height:62px;
}
.paint-bar .button-mode[data-mode="draw"] {
    background-position: 0 0;
}
.paint-bar .button-mode[data-mode="line"] {
    background-position: -60px 0;
}
.paint-bar .button-mode[data-mode="rectangle"] {
    background-position: -120px 0;
}
.paint-bar .button-mode[data-mode="circle"] {
    background-position: -180px 0;
}
.paint-bar .button-mode[data-mode="triangle"] {
    background-position: -240px 0;
}
.paint-bar .button-mode[data-mode="bin"] {
    background-position: -300px 0;
}
.paint-bar .button-mode:focus {
    outline: none;
}
.paint-bar .button-mode.active {
    border-color: red;
    box-shadow: inset 0 0 0 1px red;
}

/* miejsce na canvasy */
.paint-canvas-cnt {
    width:1000px;
    height:600px;
    position: relative;
}
.paint-canvas-cnt canvas {
    position: absolute;
    left:0;
    top:0;
    width:100%;
    height:100%;
}